Description

We need to change the way we put XLIFF files into the filesystem, so that we can use Pootle.

We have a problem with the FLOW3 project on the translation server.
Currently the filename is something like Main.en.xlf, Main.de.xfl ...
And that naming convention is not supported by Pootle.

We can use two different schema:

1. A directory tree, but the XLIFF file must have the same name in each
   language project (like v4 use)
2. The GNU way, with filename like en.xlf, de.xlf, ... but only one file per
   project.

Associated revisions
Revision 7275a130 - 2012-04-30 22:37 - Karsten Dambekalns

[TASK] Move XLIFF files so that Pootle copes with the file layout

This changes the file layout for translations so that for every language
a directory named after the locale identifier is looked up below
Resources/Private/Translations. Inside that directory one XLIFF file
for each message catalog can be put:

Resources/Private/Translataions/
   en/
     Main.xlf
     ValidationErrors.xlf
   fr/
     Main.xlf
     ValidationErrors.xlf

Change-Id: I1b2907b190f319e02d67a916da0464f3be0317a1
Resolves: #36284
Releases: 1.1

History
#1 - 2012-04-18 11:48 - Karsten Dambekalns
The solution will be to use variant 1) as seen above:

Resources/Private/Translations/
  Main/
    en.xlf
    de.xlf
  SomeCatalog/
    en.xlf
    fr.xlf

#2 - 2012-04-18 17:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10612

#3 - 2012-04-20 15:36 - Dominique Feyer

This more like what Pootle named "GNU Style Project", but I'm not sure if in the mode we can have subdirectory. Currently I'm on huge amount of
work, so no time to validate this. Can you try to send an email to the official Pootle Mailing list ? Their are really friendly during the TYPO3v4
configuration ?

#4 - 2012-04-27 15:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10612

#5 - 2012-04-30 22:42 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10612

#6 - 2012-05-01 02:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7275a130a1f552467b41d973f6533522c8dfb194.
